Bug 38806 - Update ucc setup module to reflect citrix receiver distribution
Update ucc setup module to reflect citrix receiver distribution
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UMC modules
UCC 2.1
Other Linux
: P5 normal
: UCC 2.1
Assigned To: Drees Dormann
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-01 13:56 CEST by Erik Damrose
Modified: 2015-08-07 15:48 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2015-07-01 13:56:12 CEST
We plan to distribute citrix receiver directly with the thinclient image. The UCC UMC Setup module has to be updated to reflect this. Currently, one is asked to upload the deb, which will subsequently be installed into the thinclient image.

It would be a pity to lose this functionality completely, so the possibility to upload and integrate a seperate receiver should be kept.

It should be an optional step in the wizard to upload and integrate a deb package.
Comment 1 Drees Dormann univentionstaff 2015-07-13 09:37:15 CEST
The receiver upload page has been removed from ucc setup wizard.
The content has been migrated tu citrix login wizard page, it will only be shown
if the user cooses to upload a custom receiver.
A new changelog entry has been added.
Comment 2 Erik Damrose univentionstaff 2015-07-13 11:41:42 CEST
The new layout looks very good. I have to reopen the bug, because even if i check 'Use integrated Citrix receiver' the wizard will install any uploaded .deb when clicking on finish. That step can be skipped entirely if 'Use integrated Citrix receiver' is checked.
Comment 3 Drees Dormann univentionstaff 2015-07-14 14:39:40 CEST
Installation of deb package will now only be triggered if 'Use custom receiver' is set, otherwise skipped.
Also fixed a bug where setting an empty policy attribute lead to a traceback.
Comment 4 Erik Damrose univentionstaff 2015-07-15 12:07:56 CEST
OK: only install receiver when option is checked
OK: correct and traceback-free creation / modification of policies
OK: changelog
-> Verified
Comment 5 Erik Damrose univentionstaff 2015-08-07 15:48:19 CEST
UCC 2.1 has been released. If this error occurs again, please use "Clone This Bug".